package com.performancecoachlab.posedetection.skeleton

import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow

class SkeletonRepository {
    private val _skeletonFlow = MutableStateFlow<Skeleton?>(null)
    val skeletonFlow: StateFlow<Skeleton?> get() = _skeletonFlow

    fun updateSkeleton(skeleton: Skeleton) {
        _skeletonFlow.value = skeleton
    }
}